/*
** Module   : XmlSchema.java
** Abstract : Define getter and setter for SCHEMA-LOCATION attribute
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 EVK 20130508 Created initial version.
*/

package com.goldencode.p2j.xml;

import com.goldencode.p2j.util.character;
import com.goldencode.p2j.util.logical;

/**
 * Defines the SCHEMA-LOCATION and SCHEMA-PATH attribute.
 */
public interface XmlSchema
{
//
//   /**
//    * Adding new match pair for namespace schema and physical file location.
//    *
//    * @param    namespace
//    *           Target namespace of the schema or am empty string or Unknown value.
//    * @param    location
//    *           Location of the XML schema file.
//    *
//    * @return   The <code>true</code> in case of success <code>false</code> otherwise.
//    */
//   public logical addSchemaLocation(character namespace, character location);
//
//   /**
//    * Adding new match pair for namespace schema and physical file location.
//    *
//    * @param    namespace
//    *           Target namespace of the schema or am empty string or Unknown value.
//    * @param    location
//    *           Location of the XML schema file.
//    *
//    * @return   The <code>true</code> in case of success <code>false</code> otherwise.
//    */
//   public logical addSchemaLocation(String namespace, character location);
//
//   /**
//    * Adding new match pair for namespace schema and physical file location.
//    *
//    * @param    namespace
//    *           Target namespace of the schema or am empty string or Unknown value.
//    * @param    location
//    *           Location of the XML schema file.
//    *
//    * @return   The <code>true</code> in case of success <code>false</code> otherwise.
//    */
//   public logical addSchemaLocation(character namespace, String location);
//
//   /**
//    * Adding new match pair for namespace schema and physical file location.
//    *
//    * @param    namespace
//    *           Target namespace of the schema or am empty string or Unknown value.
//    * @param    location
//    *           Location of the XML schema file.
//    *
//    * @return   The <code>true</code> in case of success <code>false</code> otherwise.
//    */
//   public logical addSchemaLocation(String namespace, String location);

   /**
    * Determines the list of namespace/location pairs of an XML Schema file to validate
    * against.
    *
    * @param    schemaLocation
    *           Determines the list of namespace/location pairs of an XML Schema file to
    *           validate against.
    */
   public void setSchemaLocation(character schemaLocation);

   /**
    * Determines the list of namespace/location pairs of an XML Schema file to validate
    * against.
    *
    * @return   schema location, default value is "".
    */
   public character getSchemaLocation();

   /**
    * A delimiter-separated list of directory paths used to locate the XML Document Type
    * Definition (DTD) associated with a particular XML document. It is searched if the XML
    * document contains a relative path to the DTD.
    *
    * @param    schemaPath
    *           To separate directory paths, use a comma, or a delimiter character that your
    *           operating system recognizes.
    */
   public void setSchemaPath(character schemaPath);

   /**
    * A delimiter-separated list of directory paths used to locate the XML Document Type
    * Definition (DTD) associated with a particular XML document. It is searched if the XML
    * document contains a relative path to the DTD.
    *
    * @return   schema path, default value is unknown(?).
    */
   public character getSchemaPath();

}
